// creator  : weidu.exe (version 23600)
// argument : DIVINE.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~DIVINE~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 10 even though they appear after this state */
~  True()
~ THEN BEGIN 0 // from:
  SAY #1352 /* ~You wish to hear the arcane knowledge of Haspur? It will cost you 50 gold for the answers to your questions no matter how small. Will you pay, or will you leave?~ */
  IF ~~ THEN REPLY #1362 /* ~50 gold! That's ridiculous, you can find some other chumps to squeeze money out of.~ */ EXIT
  IF ~  PartyGoldGT(49)
~ THEN REPLY #1363 /* ~Here's the money, seer, but you'd better be for real.~ */ DO ~TakePartyGold(50)
~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #1353 /* ~I am for real. Now what is it that you wish to know? I must tell you, I only have the strength to answer a single question in a day, so be careful in what you ask.~ */
  IF ~  !Dead("Rieltar")
~ THEN REPLY #1364 /* ~Who is the leader of the Iron Throne?~ */ GOTO 2
  IF ~~ THEN REPLY #1365 /* ~What is the Iron Throne's agenda?~ */ GOTO 9
  IF ~  Global("HelpLothander","GLOBAL",1)
~ THEN REPLY #1367 /* ~Who has the ability to release Lothander of his geas?~ */ GOTO 4
  IF ~~ THEN REPLY #1366 /* ~Who is the richest man in Baldur's Gate, and where does he keep all of his money?~ */ GOTO 5
  IF ~  Global("Chapter","GLOBAL",7)
~ THEN REPLY #1368 /* ~Why is Eltan so ill?~ */ GOTO 6
  IF ~  Global("Chapter","GLOBAL",7)
~ THEN REPLY #1369 /* ~Who framed us for the murder of the Iron Throne leaders?~ */ GOTO 7
  IF ~  Dead("Rieltar")
~ THEN REPLY #1370 /* ~Who is the leader of the Iron Throne?~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #1354 /* ~They are led by Rieltar Anchev.~ */
  IF ~~ THEN DO ~SetGlobal("LothanderMove","GLOBAL",9)
~ UNSOLVED_JOURNAL #26980 /* ~A Seer's Vision
In Baldur's Gate, a seer told me that the leader of the Iron Throne is Rieltar Anchev.~ */ GOTO 8
END

IF ~~ THEN BEGIN 3 // from: 1.6
  SAY #1355 /* ~They are led by Sarevok Anchev.~ */
  IF ~~ THEN DO ~SetGlobal("LothanderMove","GLOBAL",9)
~ UNSOLVED_JOURNAL #26981 /* ~A Seer's Vision
In Baldur's Gate, a seer told me that the leader of the Iron Throne is Sarevok Anchev.~ */ GOTO 8
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #1356 /* ~Only the high priestess Jalantha Mistmyr of Umberlee has the power to remove Lothander's geas. She can be found at the Water Queen's House. It is difficult to see whether or not she will help you.~ */
  IF ~~ THEN DO ~SetGlobal("LothanderMove","GLOBAL",4)
SetGlobal("DivinerAsked","GLOBAL",1)
~ UNSOLVED_JOURNAL #26982 /* ~Marek and Lothander
According to the seer I consulted, only Jalantha Mistmyr can lift the geas on Lothander. I can find her at the Water Queen's House, as they call the temple of Umberlee.~ */ GOTO 8
END

IF ~~ THEN BEGIN 5 // from: 1.3
  SAY #1357 /* ~Entar Silvershield is the wealthiest man in the city. He keeps his hoard in his bedroom at his estate.~ */
  IF ~~ THEN DO ~SetGlobal("LothanderMove","GLOBAL",9)
~ UNSOLVED_JOURNAL #26983 /* ~A Seer's Vision
In Baldur's Gate, a seer told me that the wealthy Entar Silvershield hides his treasure in his bedchamber at his estate.~ */ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 1.4
  SAY #1358 /* ~The man who claims to heal him is, in fact, the source of the problem.~ */
  IF ~~ THEN DO ~SetGlobal("LothanderMove","GLOBAL",9)
~ UNSOLVED_JOURNAL #26984 /* ~Duke Eltan's Illness
According to the seer, Duke Eltan's healer is really the one making him ill.~ */ GOTO 8
END

IF ~~ THEN BEGIN 7 // from: 1.5
  SAY #1359 /* ~A man named Sarevok Anchev is responsible for the frame.~ */
  IF ~~ THEN DO ~SetGlobal("LothanderMove","GLOBAL",9)
~ UNSOLVED_JOURNAL #26985 /* ~A Seer's Vision
If I can believe the seer in Baldur's Gate, Sarevok Anchev framed me for the murders at Candlekeep.~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 9.0 7.0 6.0 5.0 4.0 3.0 2.0
  SAY #1360 /* ~I cannot answer any more questions. You must leave now.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Diviner","GLOBAL",ONE_DAY)
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 1.1
  SAY #1361 /* ~Making money has always been their agenda.~ */
  IF ~~ THEN GOTO 8
END

IF WEIGHT #0 ~  !NumberOfTimesTalkedTo(0)
GlobalTimerNotExpired("Diviner","GLOBAL")
~ THEN BEGIN 10 // from:
  SAY #6414 /* ~I'm sorry, but I won't have the strength to do another such reading until tomorrow.~ */
  IF ~~ THEN EXIT
END
